from django.urls import path
from . import views

app_name = "survey"

urlpatterns = [
    path("", views.survey_list, name="survey_list"),
    path("create/", views.survey_create, name="survey_create"),
    path("skip/", views.survey_skip, name="survey_skip"),
    path("<int:pk>/update/", views.survey_update, name="survey_update"),
    path("<int:pk>/delete/", views.survey_delete, name="survey_delete"),
    path("<int:pk>/questions/", views.survey_questions_edit, name="survey_questions_edit"),
    path("<int:pk>/take/", views.survey_take, name="survey_take"),
    path("<int:pk>/results/", views.survey_results, name="survey_results"),
    path("<int:pk>/export/", views.survey_export_csv, name="survey_export_csv"),
]
